%define name webmin
%define version 0.77
%define release 1mdk

Name:		%{name}
Summary:	A web-based administration interface for Unix systems.
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Applications/Administration
URL:		http://www.webmin.com/webmin/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-0.73-ocstheme.tar.bz2
Requires:	perl
Provides:	%{name}-%{version}
Buildroot:	/var/tmp/%{name}-%{version}
BuildArchitectures:	noarch
Packager:	Vincent Danen <vdanen@linux-mandrake.com>


%description
A web-based administration interface for Unix systems. Using Webmin you can
configure DNS, Samba, NFS, local/remote filesystems and more using your
web browser.

After installation, enter the URL http://localhost:10000/ into your
browser and login as root with your root password.


%prep
%setup


%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

tar xvyf $RPM_SOURCE_DIR/webmin-0.73-ocstheme.tar.bz2

(find . -name '*.cgi' ; find . -name '*.pl') | perl perlpath.pl /usr/bin/perl -
rm -f mount/freebsd-mounts-*
rm -f mount/openbsd-mounts-*
#chmod -R og-rxw .


%install
mkdir -p $RPM_BUILD_ROOT/usr/libexec/webmin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc2.d,rc3.d,rc5.d}
cp -rp * $RPM_BUILD_ROOT/usr/libexec/webmin
cp webmin-init $RPM_BUILD_ROOT/etc/rc.d/init.d/webmin

cd $RPM_BUILD_ROOT
find . -type d | sed -e '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
       -e '/\/etc\//s|^|%config|' \
       -e '/\/config\//s|^|%config|' \
       >> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed -e 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}


%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/file.list.%{name}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%post
if [ "$1" != 1 ]; then
	# Upgrading the RPM, so stop the old webmin properly
	/etc/rc.d/init.d/webmin stop >/dev/null 2>&1
fi
cd /usr/libexec/webmin
config_dir=/etc/webmin
var_dir=/var/webmin
perl=/usr/bin/perl
autoos=1
port=10000
login=root
if [ -r /etc/shadow ]; then
	crypt=`grep "^root:" /etc/shadow | cut -f 2 -d :`
else
	crypt=`grep "^root:" /etc/passwd | cut -f 2 -d :`
fi
host=`hostname`
ssl=0
atboot=0
nochown=1
autothird=1
noperlpath=1
nouninstall=1
nostart=1
#allow=`ifconfig eth0 2>&1 | perl -ne 'print " $1.$2.$3.0/255.255.255.0" if (/inet addr:([0-9]+).([0-9]+).([0-9]+)/)'`
#allow="127.0.0.1$allow"
export config_dir var_dir perl autoos port login crypt host ssl nochown autothird noperlpath nouninstall nostart allow
./setup.sh
chkconfig --add webmin
chkconfig --level 235 webmin on
rm -f /var/lock/subsys/webmin
/etc/rc.d/init.d/webmin start >/dev/null 2>&1


%preun
echo "Preuninstall : $1"
if [ "$1" = 0 ]; then
	grep root=/usr/libexec/webmin /etc/webmin/miniserv.conf >/dev/null 2>&1
	if [ "$?" = 0 ]; then
		# RPM is being removed, and no new version of webmin
		# has taken it's place. Stop the server
		/etc/rc.d/init.d/webmin stop >/dev/null 2>&1
	fi
fi


%postun
echo "Postuninstall : $1"
if [ "$1" = 0 ]; then
	grep root=/usr/libexec/webmin /etc/webmin/miniserv.conf >/dev/null 2>&1
	if [ "$?" = 0 ]; then
		# RPM is being removed, and no new version of webmin
		# has taken it's place. Delete the config files
		rm -rf /etc/webmin /var/webmin
	fi
fi
chkconfig --del webmin


%files -f ../file.list.%{name}
%defattr(-,root,root,0755)


%changelog
* Thu Feb 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v0.77
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Tue Feb 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.77
- updated specfile based on the webmin source RPM (newly released, nice
  changes!)
- included the 0.73 ocstheme again (does anyone know of an update to this?)

* Thu Jan 13 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.76

* Wed Dec 08 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Dec 5 1999 Vincent Danen <vdanen@linux-mandrake.com>
- built specfile for Mandrake contribs
- based loosely on Leon Breedt's <leon@obsidian.co.za> SRPM for 0.73
- webmin-install.sh is now a source package, not built from patch
- bzip sources
